Bug 1164607 - CVE-2014-8600 kwebkitpart: kwebkitpart, kde-runtime: Insufficient Input Validation By IO Slaves and Webkit Part [fedora-all]
Summary: CVE-2014-8600 kwebkitpart: kwebkitpart, kde-runtime: Insufficient Input Valid...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kwebkitpart
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: nucleo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException RejectedBlocker
Depends On:
Blocks: F21FinalFreezeException CVE-2014-8600
TreeView+ depends on / blocked
 
Reported: 2014-11-17 01:02 UTC by Murray McAllister
Modified: 2015-01-04 22:43 UTC (History)
6 users (show)

Fixed In Version: kwebkitpart-1.3.4-5.fc19
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-03 17:15:02 UTC
Type: ---


Attachments (Terms of Use)

Description Murray McAllister 2014-11-17 01:02:58 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Murray McAllister 2014-11-17 01:03:05 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1164293,1164607

# Description of your update
notes=Security fix for CVE-2014-8600

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1164293,1164607

Comment 2 Than Ngo 2014-11-17 11:23:41 UTC
rex has already built kwebkitpart with the fix. it's fixed in kwebkitpart-1.3.4-5
http://koji.fedoraproject.org/koji/buildinfo?buildID=593314

Comment 3 Fedora Update System 2014-11-17 12:54:10 UTC
kwebkitpart-1.3.4-5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2014-15150/kwebkitpart-1.3.4-5.fc21

Comment 4 Fedora Update System 2014-11-17 12:54:15 UTC
kwebkitpart-1.3.4-5.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2014-15124/kwebkitpart-1.3.4-5.fc19

Comment 5 Fedora Update System 2014-11-17 12:54:22 UTC
kwebkitpart-1.3.4-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2014-15130/kwebkitpart-1.3.4-5.fc20

Comment 6 Fedora Blocker Bugs Application 2014-11-21 13:12:07 UTC
Proposed as a Blocker and Freeze Exception for 21-final by Fedora user rdieter using the blocker tracking app because:

 security fix in hand, would like to ship kde-spin CVE-free

Comment 7 Adam Williamson 2014-11-24 18:18:16 UTC
Discussed at 2014-11-24 blocker review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2014-11-24/f21-blocker-review.2014-11-24-17.01.log.txt . The security criterion only covers issues with an impact of 'important' or higher, and this is only 'low':

https://fedoraproject.org/wiki/Fedora_21_Final_Release_Criteria#Security_bugs

"The release must contain no known security bugs of 'important' or higher impact according to the Red Hat severity classification scale which cannot be satisfactorily resolved by a package update (e.g. issues during installation)."

so it's rejected as a blocker, but it's accepted as a freeze exception issue - obviously a good idea to include the fix at this point.

Comment 8 Rex Dieter 2014-12-02 13:55:25 UTC
https://admin.fedoraproject.org/updates/FEDORA-2014-15150/kwebkitpart-1.3.4-5.fc21

is queue'd for stable and has a freeze exception, can it get pushed now please?

Comment 9 Fedora Update System 2014-12-03 17:15:02 UTC
kwebkitpart-1.3.4-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-06 02:31:32 UTC
kwebkitpart-1.3.4-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-07 04:33:09 UTC
kwebkitpart-1.3.4-5.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.